Subject: Re: mips cross-compiler

From: "santosh kumar gowda" <[email-masked]>
Date: 28 Jan 2003 04:38:05 -0000

Upgrade your glibc to a recent version.
And installing the binutils-mips-linux-2.8.1-1
to a specific path, may result in problems.
I would suggest to compile at the given default
location and then move the executables to
/usr/bin. U will be able to access them everywhere.
Give it a try.

-Santosh
-----------------------------------
On Tue, 28 Jan 2003 Chien-Lung Wu wrote :
>Hi,
>I am trying to install a mips-linux cross compiler on my linux 
>box with
> 	target=mips-linux
> 	host=i686-linux
>
>  I download the rpm files
> 	binutils-mips-linux-2.8.1-1-i386.rpm
> 	egcs-mips-linux-1.0.3a-2.i386.rpm
> 	glibc-2.1.95.1.mips.rpm
> from ftp://oss.sgi.com/pub/linux/mips
>
>When I use rpm comand to install binutils and egcs, they work 
>fine.
> 	rpm -i binutils-mips-linux-2.8.1-1-i386.rpm
> 	rpm -i egcs-mips-linux-1.0.3a-2.i386.rpm
>
>However, as I intsall the glibc with the rpm command:
> 	rpm -i glibc-2.1.95.1.mips.rpm
>
>I got a confliction with glibc-common-2.2.4-13, since my native 
>glibc is
>2.2.4-13. Thus I cannot install glibc.
>
>Can anybody show me how to install the cross-compiler correctly? 
>(what is
>the correct rpm command?)
>
>More questions:
>If I have native glibc, can I install another glibc for 
>cross-compiler?
>Can I install the binutils-mips-linux-2.8.1-1 to a specific path?  
>How?
>( when I install them with rpm -i command, the executable files 
>will go to
>/usr/bin as default. Can I change that?)
>
>Thanks for your help.
>
>Chien-Lung
>